from settings.environment import env
from settings.platform import PLATFORM_CONFIG


#! Required because some instance use psql db:
DB_ENGINE = env.str(
    'DB_ENGINE',
    PLATFORM_CONFIG.get('DatabaseType', 'mysql')
)

# Connection parameters:
DB_HOST = env.str('DB_HOST', 'mysql')
DB_PORT = env.int('DB_PORT', 3306)
DB_USER = env.str('DB_USER', 'root')

#! Do not pass password on production. Use value from config.json
DB_PASSWORD = env.str(
    'DB_PASSWORD',
    PLATFORM_CONFIG.get('MysqlRootPassword', '')
)
