from settings.environment import env, BASE_DIR
from utils.helpers import parse_json_file


PLATFORM_TYPE = env.str('PLATFORM_TYPE', 'vm')

PLATFORM_CONFIG = parse_json_file(f'{BASE_DIR}/config.json')

PLATFORM_URL = env.url(
    'PLATFORM_URL',
    f"https://{PLATFORM_CONFIG.get('DomainName' ,'replace.me')}"
)
